* {
    margin: 0;
    padding: 0;
    box-sizing: border-box; 
}
html{
    scroll-behavior: smooth;
}
body {
    background-color: rgb(0, 0, 0);
    color: white;
}
a{
    text-decoration: none;
}
.ctn{
    padding: 8px 15px;
    border: 0.125em solid ;
    border-radius: 30px;
    color: whitesmoke;
    cursor: pointer;
}
.ctn:hover{
    border: 0.125em solid #ffffff;
    background-color: #0065c3;
    color: #fefefe;
    transition: 0.5s;
}

/* header */
.navbar {
    top: 0;
    left: 0;
    display: flex;
    width: 100%;
    justify-content: center;
    padding: 20px;
    color: whitesmoke;
}
.navbar h1{
    font-size: 5vmin;
    font-family: cursive;
    font-weight: 100;
    margin: 0 50px;
}
.nav-links {
    display: flex;
    align-items: center;
}
.nav-links a{
    color: aliceblue;
}
.nav-links li{
    margin: 0 20px;
    list-style: none;
}
/* mobile-menu */
.menu-btn {
    position: absolute;
    top: 30px;
    right: 30px;
    width: 30px;
    cursor: pointer;
    display: none;
}

.hover-underline-animation {
    display: inline-block;
    position: relative;
    color: #0065c3;
  }
  
  .hover-underline-animation::after {
    content: '';
    position: absolute;
    width: 100%;
    transform: scaleX(0);
    height: 1px;
    bottom: -7px;
    left: 0;
    background-color: #ffffff;
    transform-origin: bottom left;
    transition: transform 0.7s ease-out;
  }
  
  .hover-underline-animation:hover::after {
    transform: scaleX(1);
    transform-origin: bottom left;
  }

/* home-page */
.home-content{
    display: flex;
    justify-content: space-between;
}
.home{
    width: 80%;
    margin: 100px auto 0px auto;
}
.content{
    margin-top: 25px;
}
.home div h4, h1{
    font-size: 6vmin;
    margin: 10px 0px;
    color: whitesmoke;
    justify-content: flex-start;
}
.home div .ctn{
    margin: 10px 0px;
}
.home div .ctn:hover{
    background-color: #0065c3;
    color: whitesmoke;
}
.home div p{
    width: 40vw;
    margin: 30px 0px;
    color: rgba(245, 245, 245, 0.782);
}
.change_content:after{
    content: " ";
    animation: changetext 5s infinite linear;
    color: #0065c3;
}
@keyframes changetext{
    0%{content: "Frontend Developer";}
    50%{content: "Backend Developer";}
    75%{content: "Blogger";}
    100%{content: "Teacher";}
}

.mouse-wrap {
    position: relative;
    display: inline-block;
    left: 50%;
    margin: 15rem 0px 6rem 0px;
    -webkit-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    transform: translateX(-50%);
    bottom: 50px;
    z-index: 9;
}
.mouse-wrap .mouse {
    position: absolute;
    width: 22px;
    height: 42px;
    bottom: 30px;
    display: block;
    left: 50%;
    margin-left: -12px;
    border-radius: 15px;
    border: 2px solid #fff;
    -webkit-animation: intro 2s;
    animation: intro 2s;
    animation-duration: 2s;
    animation-timing-function: ease;
    animation-delay: 0s;
    animation-iteration-count: 1;
    animation-direction: normal;
    animation-fill-mode: none;
    animation-play-state: running;
    animation-name: intro;
}
.mouse-wrap .mouse-label {
    top: 0;
    color: #fff;
    font-size: 10px;
    font-weight: 700;
    letter-spacing: .05rem;
    text-transform: uppercase;
}
.mouse-wrap .mouse .scroll {
    display: block;
    width: 3px;
    height: 3px;
    margin: 6px auto;
    border-radius: 4px;
    background: #fff;
    -webkit-animation: finger 2s infinite;
    animation: finger 2s infinite;
    animation-duration: 2s;
    animation-timing-function: ease;
    animation-delay: 0s;
    animation-iteration-count: infinite;
    animation-direction: normal;
    animation-fill-mode: none;
    animation-play-state: running;
    animation-name: finger;
}

/* portfolio */
.port{
    width: 80%;
    margin: 0px auto 0px auto;
}
.port h1{
    color: #ffffff;
    text-shadow: 0 1px 3px rgba(124, 232, 218, 0.64), 0 4px 3px rgba(124, 219, 232, 0.64);
    font-size: 3.4rem;
}
.boxFolio {
    width: 20rem;
    background-color: #000000;
    color: rgb(164, 158, 158);
    border-radius: 8px;
    box-shadow: 0 4px 8px 0 rgba(164, 232, 124, 0.64), 0 6px 20px 0 rgba(227, 232, 124, 0.64);
}
.boxFolio img{
    width: 20rem;
    height: 15rem;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}
.port div {
    display: inline-block;
    margin: 8px ;
}
.boxFolio h3{
    font-family: cursive;
    color: #0065c3;
    font-weight: 10;
    font-size: 4vmin;
    margin: 10px 15px;
    text-shadow: 2px 1px black;
}
.boxFolio p {
    margin: 10px 15px;
    letter-spacing: 1px;
    word-spacing: 2px;
}
.boxFolio button{
    margin: 10px 15px;
    border-radius: 10px;
    border: none;
    background-color: #0065c3;
    padding: 8px;
    color: #ffffff;
    letter-spacing: 1px;
    word-spacing: 4px;
    cursor: pointer;
}
.boxFolio button:hover {
    background-color: #0065c3a7;
}
.vl {
    border-left: 1px solid rgb(121, 123, 121);
    height: 400px;
    display: none;
  }

/* skill */
.skill, .about{
    width: 80%;
    margin: 10rem auto 0px auto;
}
.skill h1, .about h1, .contact h1{
    text-align: center;
    word-spacing: 6px;
    letter-spacing: 2px;
    font-size: 2rem;
    color: #ffffff;
    text-shadow: 0 1px 3px rgba(124, 232, 218, 0.64), 0 4px 3px rgba(124, 219, 232, 0.64);
}
.skill img, .about img, .contact img{
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-top: 25px;
    width: 5%;
}
.skill-content{
    margin: 6rem 0px;
    display: flex;
    justify-content: space-between;
}
.skill-content div h1{
    color: #0065c3;
    text-shadow: none;
    letter-spacing: 2px;
}
.skill-content div h1 sup {
    font-size: 1.6rem;
    color: #fff;
}
.skill-content div p{
    font-size: 14px;
    letter-spacing: 1px;
    
}

/* about */
.profile img{
    width: 400px;
    border-left: 1px solid rgb(121, 123, 121);
    border-right: 1px solid rgb(121, 123, 121);
    border-radius: 80px;
    padding: 20px;
}
.about-content{
    display: flex;
    justify-content: space-between;
}
.about-content div{
    margin: 60px 0px;
}
.about-content div:nth-child(2){
    margin-left: 200px;
    margin-top: 125px;
}
.intro h3, .intro p, .intro a{
    margin: 30px 0px;
    letter-spacing: 2px;
    word-spacing: 3px;
}
.intro h3{
    color: #0065c3;
    font-size: 1.7rem;
}

/* contact */
.contact {
    margin: 10rem auto 0px auto;
}
.cont-content {
    width: 80%;
    margin: 10rem auto 0px auto;
}
#nameField, #subjectField, #msgField {
    background-color: black;
    border-left: 1px solid rgb(121, 123, 121);
    width: 50vmin;
    border-top: none;
    border-left: none;
    border-right: none;
    outline: none;
    color: #fff;
    font-size: 12px;
    letter-spacing: 1px;
    font-family: 'Times New Roman', Times, serif;
}
#subjectField {
    margin-left: 50px;
}
#msgField{
    margin-top: 50px;
    width: 110vmin;
}
.sendMsg {
    margin: 40px 0px;
    padding: 10px 18px;
    border: 0.155em solid #ffffff99;
    border-radius: 30px;
    color: whitesmoke;
    background-color: #000000;
    cursor: pointer;
}
.sendMsg:hover {
    border: 0.155em solid #ffffff;
    color: #fefefe;
    transition: 0.5s;
}
.cont-content {
    display: flex;
    justify-content: space-between;
}
.info {
    border-left: 1px solid rgb(121, 123, 121);
    padding: 20px;
}
.info div{
    margin: 20px 0px;
}
.info div p {
    margin-top: 4px;
    letter-spacing: 2px;
}
.info div p{
    color: #ffffff99;
    font-size: 20px;
    margin-top: 7px;
}
.info div h6 {
    margin-top: 7px;
    letter-spacing: 2px;
    font-size: 16px;
}

.footer {
    margin-top: 70px;
    background-color: #fefefe3e;
    text-align: center;
    padding: 40px 90px 90px 90px;
}
.footer h1{
    margin: 0px 0px 45px 0px;
    font-size: 6vmin;
    font-family: cursive;
    font-weight: 100;
    letter-spacing: 2px;
    color: #0065c3;
}
.footer div a {
    color: #fefefeb8;
    margin:20px; 
}
.footer p{
    color: #fefefeb8;
    margin-top: 10px; 
}

@media (max-width: 952px){
    .menu-btn {
        display: block;
    }
    .navbar {
        padding: 0;
    }
    .logo {
        position: absolute;
        top: 30px;

    }
    .nav-links {
        flex-direction: column;
        width: 100%;
        height: 100vh;
        justify-content: center;
        background-color: #ffffff;
        margin-top: -700px;
        transition: all 0.7s ease;
    }
    .mobile-menu {
        margin-top: 0px;
        border-bottom-right-radius: 20%;
    }
    .nav-links li{
        margin: 30px auto;
    }
    .nav-links li a{
        color: black;
    }
    .profile-display{
        display: none;
    }
    .home {
        text-align: left;
    }
    .home div p{
        width: 100%;
    }
    .skill-content{
        display: block;
        text-align: center;
        margin-top: 20px;
    }
    .skill img , .about img{
        width: 15%;
    }
    #none {
        display: none;
    }
    .port div, .skill-content div{
        margin-top: 50px;
    }
    .about-content{
        display: block;
    }
    .profile img{
        width: 400px;
        border-left: 1px solid rgb(121, 123, 121);
        border-right: 1px solid rgb(121, 123, 121);
        border-radius: 50px;
        padding: 10px;
    }
    .about-content div:nth-child(2){
        margin: 70px 0px;
        text-align: center;
    }
    .cont-content{
        display: block;
    }
    #nameField, #subjectField{
        width: 32vmin;
    }
    #msgField{
        width: 70vmin;
    }
    .info{
        border: none;
        text-align: center;
    }
    .footer div a {
        display: block;
    }
    .footer h1{
        text-align: center;
    }
    .profile img{
        width: 300px;
    }
}

.reveal{
    position: relative;
    transform: translateY(150px);
    opacity: 0;
    transform: all 2s ease;
}
.reveal.active{
    transform: translateY(0px);
    opacity: 1;
}